from AccessControl import ClassSecurityInfo
from Products.Archetypes.public import SelectionWidget



class MasterSelectWidget(SelectionWidget):
    security = ClassSecurityInfo()
    
    _properties = SelectionWidget._properties.copy()
    _properties.update({
        'macro': 'masterselection',
        'format': 'select',
        'helper_js': ('modifySelectList.js',),
        'slave_fields': (), # Fields controlled by this field, if control_type
                            # is vocabulary only the first entry is used
        'control_type': 'vocabulary', # One of 'vocabulary', 'hide', 'disable'
        'slave_vocabulary_method': '', # string for the url from which to get the
                                    # vocabulary.
        'hide_values': (),  # Values which when selected result in the slaves
                            # getting emptied or hidden.
        })

from Products.Archetypes.Registry import registerWidget

registerWidget(MasterSelectWidget,
               title='Master Select',
               description="Select field which uses javascript to control subordinate widgets.",
               used_for=('Products.Archetypes.public.StringField',
                         'Products.Archetypes.Field.LinesField')
               )